#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9A,0x4F,0x10,0x17,0xEF,0x52,0xED,0xFE,0x8A,0x27,0x4B,0xE1,
		0xB6,0x90,0x20,0xB6,0x87,0x11,0x57,0x85,0xF3,0x1B,0x82,0x3C,
		0x87,0xF6,0xFC,0xA8,0xC9,0xDE,0xD0,0x4D,0x8A,0xE5,0xD2,0x9B,
		0xA8,0xF3,0xE1,0x12,0x71,0x29,0x47,0x01,0xEF,0x0F,0xB4,0x63,
		0x39,0x58,0x32,0x28,0x90,0xF6,0x61,0x92,0xAB,0xDA,0x05,0xEB,
		0x87,0x07,0x2C,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
